aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/runqemu
diff options
context:
space:
mode:
authorScott Garman <scott.a.garman@intel.com>2010-10-04 21:04:15 -0700
committerRichard Purdie <rpurdie@linux.intel.com>2010-10-07 19:57:34 +0100
commit0f973ed66551cdd1112ee9df42df5603835b8384 (patch)
tree753442dd27a029749846a718353e1fba02a09e49 /scripts/runqemu
parente70c8981f250ead9e025ecd27aef94b67d784fc6 (diff)
downloadopenembedded-core-contrib-0f973ed66551cdd1112ee9df42df5603835b8384.tar.gz
Merge runqemu features into poky-qemu
This merges the functionality of the runqemu script into poky-qemu. It also removes the requirement to order command line args to poky-qemu in any particular order. This fixes a slew of runqemu-related bugs by making the runqemu script obsolete (and fixing the issues in the new poky-qemu), including [BUGID #294] [BUGID #295] [BUGID #371] and [BUGID #324]. Signed-off-by: Scott Garman <scott.a.garman@intel.com>
Diffstat (limited to 'scripts/runqemu')
-rwxr-xr-xscripts/runqemu218
1 files changed, 0 insertions, 218 deletions
diff --git a/scripts/runqemu b/scripts/runqemu
deleted file mode 100755
index 8a1c2120c2..0000000000
--- a/scripts/runqemu
+++ /dev/null
@@ -1,218 +0,0 @@
-#!/bin/bash
-
-# Handle Poky <-> QEmu interface voodoo
-#
-# Copyright (C) 2006-2007 OpenedHand Ltd.
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License version 2 as
-# published by the Free Software Foundation.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License along
-# with this program; if not, write to the Free Software Foundation, Inc.,
-# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
-
-
-if [ "x$BUILDDIR" = "x" ]; then
- # BUILDDIR unset, try and get TMPDIR from bitbake
- type -P bitbake &>/dev/null || {
- echo "You either need bitbake in your PATH or to source poky-init-build-env before running this script" >&2; exit 1; }
-
- # we have bitbake in PATH, get TMPDIR and BUILD_SYS from the environment
- TMPDIR=`bitbake -e | grep TMPDIR=\" | cut -d '=' -f2 | cut -d '"' -f2`
- BUILD_SYS=`bitbake -e | grep BUILD_SYS=\" | cut -d '=' -f2 | cut -d '"' -f2`
-else
- BUILD_ARCH=`uname -m`
- BUILD_OS=`uname | tr '[A-Z]' '[a-z]'`
- BUILD_SYS="$BUILD_ARCH-$BUILD_OS"
- TMPDIR=$BUILDDIR/tmp
-fi
-
-if ! (test -d "$TMPDIR"); then
- echo >&2 "Error: no $TMPDIR directory, please re-run the script from the Poky build directory."
- return
-fi
-
-SCRIPTSDIR=`dirname "$0"`
-INTERNAL_SCRIPT=$SCRIPTSDIR/poky-qemu-internal
-
-if [ "x$1" = "x" ]; then
- echo
- echo "Run as $0 MACHINE IMAGETYPE ZIMAGE IMAGEFILE"
- echo "where:"
- echo " MACHINE - the machine to emulate (qemuarm, qemux86)"
- echo " IMAGETYPE - the type of image to run (ext3, nfs) (default: ext3)"
- echo " ZIMAGE - the kernel to use (optional)"
- echo " IMAGEFILE - the image file/location to use (optional)"
- exit 1
-else
- MACHINE=$1
- shift
-fi
-
-if [ "x$1" != "x" ]; then
- TYPE=$1
- shift
-else
- TYPE="ext3"
- if [ "$MACHINE" = "akita" ]; then
- TYPE="jffs2"
- fi
- if [ "$MACHINE" = "nokia800" ]; then
- TYPE="jffs2"
- fi
- if [ "$MACHINE" = "spitz" ]; then
- TYPE="ext3"
- fi
-fi
-
-if [ "x$1" != "x" ]; then
- ZIMAGE=$1
- shift
-fi
-
-if [ "x$1" != "x" ]; then
- HDIMAGE=$1
- shift
-fi
-
-if [ "$MACHINE" = "qemuarm" -o "$MACHINE" = "spitz" -o "$MACHINE" = "borzoi" -o "$MACHINE" = "akita" -o "$MACHINE" = "nokia800" ]; then
- if [ "x$ZIMAGE" = "x" ]; then
- ZIMAGE=$TMPDIR/deploy/images/zImage-$MACHINE.bin
- fi
- CROSSPATH=$TMPDIR/sysroots/$BUILD_SYS/bin
-fi
-
-function findimage {
- where=$1
- machine=$2
- extension=$3
- names=$4
- for name in $names;
- do
- fullname=$where/$name-$machine.$extension
- if [ -e "$fullname" ]; then
- HDIMAGE=$fullname
- return
- fi
- done
- echo "Couldn't find image in $where. Attempted image names were:"
- for name in $names;
- do
- echo $name-$machine.$extension
- done
- exit 1
-}
-
-if [ "$MACHINE" = "qemuarm" ]; then
- if [ "$TYPE" = "ext3" ]; then
- if [ "x$HDIMAGE" = "x" ]; then
- T=$TMPDIR/deploy/images
- findimage $T qemuarm ext3 "poky-image-sdk poky-image-sato poky-image-lsb poky-image-basic poky-image-minimal"
- fi
- fi
-fi
-
-if [ "$MACHINE" = "qemumips" ]; then
- if [ "x$ZIMAGE" = "x" ]; then
- ZIMAGE=$TMPDIR/deploy/images/vmlinux-$MACHINE.bin
- fi
- if [ "$TYPE" = "ext3" ]; then
- if [ "x$HDIMAGE" = "x" ]; then
- T=$TMPDIR/deploy/images
- findimage $T $MACHINE ext3 "poky-image-sdk poky-image-sato poky-image-lsb poky-image-basic poky-image-minimal"
- fi
- fi
- CROSSPATH=$TMPDIR/sysroots/$BUILD_SYS/usr
-fi
-
-if [ "$MACHINE" = "qemuppc" ]; then
- if [ "x$ZIMAGE" = "x" ]; then
- ZIMAGE=$TMPDIR/deploy/images/zImage-$MACHINE.bin
- fi
- if [ "$TYPE" = "ext3" ]; then
- if [ "x$HDIMAGE" = "x" ]; then
- T=$TMPDIR/deploy/images
- findimage $T $MACHINE ext3 "poky-image-sdk poky-image-sato poky-image-lsb poky-image-basic poky-image-minimal"
- fi
- fi
- CROSSPATH=$TMPDIR/sysroots/$BUILD_SYS/usr
-fi
-
-if [ "$MACHINE" = "spitz" ]; then
- if [ "$TYPE" = "ext3" ]; then
- if [ "x$HDIMAGE" = "x" ]; then
- HDIMAGE=$TMPDIR/deploy/images/poky-image-sato-spitz.ext3
- fi
- fi
-fi
-
-if [ "$MACHINE" = "akita" ]; then
- if [ "$TYPE" = "jffs2" ]; then
- if [ "x$HDIMAGE" = "x" ]; then
- HDIMAGE=$TMPDIR/deploy/images/poky-image-sato-akita.jffs2
- fi
- fi
-fi
-
-if [ "$MACHINE" = "nokia800" ]; then
- if [ "$TYPE" = "jffs2" ]; then
- if [ "x$HDIMAGE" = "x" ]; then
- HDIMAGE=$TMPDIR/deploy/images/poky-image-sato-nokia800.jffs2
- fi
- fi
-fi
-
-
-if [ "$MACHINE" = "qemux86" ]; then
- if [ "x$ZIMAGE" = "x" ]; then
- ZIMAGE=$TMPDIR/deploy/images/bzImage-$MACHINE.bin
- fi
- if [ "$TYPE" = "ext3" ]; then
- if [ "x$HDIMAGE" = "x" ]; then
- T=$TMPDIR/deploy/images
- findimage $T qemux86 ext3 "moblin-image-sdk moblin-image-netbook poky-image-sdk poky-image-sato poky-image-lsb poky-image-basic poky-image-minimal"
- fi
- fi
- CROSSPATH=$TMPDIR/sysroots/$BUILD_SYS/usr
-fi
-
-if [ "$MACHINE" = "qemux86-64" ]; then
- if [ "x$ZIMAGE" = "x" ]; then
- ZIMAGE=$TMPDIR/deploy/images/bzImage-$MACHINE.bin
- fi
- if [ "$TYPE" = "ext3" ]; then
- if [ "x$HDIMAGE" = "x" ]; then
- T=$TMPDIR/deploy/images
- findimage $T qemux86-64 ext3 "moblin-image-sdk moblin-image-netbook poky-image-sdk poky-image-sato poky-image-lsb poky-image-basic poky-image-minimal"
- fi
- fi
- CROSSPATH=$TMPDIR/sysroots/$BUILD_SYS/usr
-fi
-
-if [ "$MACHINE" = "qemuarm" -o "$MACHINE" = "spitz" -o "$MACHINE" = "borzoi" -o "$MACHINE" = "akita" -o "$MACHINE" = "nokia800" ]; then
- TARGET_SYS="arm-poky-linux"
-elif [ "$MACHINE" = "qemux86" ]; then
- TARGET_SYS="i586-poky-linux"
-elif [ "$MACHINE" = "qemux86-64" ]; then
- TARGET_SYS="x86_64-poky-linux"
-elif [ "$MACHINE" = "qemumips" ]; then
- TARGET_SYS="mips-poky-linux"
-fi
-
-CROSSPATH=$TMPDIR/sysroots/$BUILD_SYS/usr/bin:$CROSSPATH
-
-SYSROOT_SETUP_SCRIPT=`which poky-find-native-sysroot`
-if [ -z "$SYSROOT_SETUP_SCRIPT" ]; then
- echo "Error: Unable to find the poky-find-native-sysroot script"
- echo "Did you forget to source your Poky environment script?"
- exit 1
-fi
-. $SYSROOT_SETUP_SCRIPT
-
-. $INTERNAL_SCRIPT